git: 332b17408009 - main - rmport: first check if we are in a git checkout, then check for changes.
Rene Ladan
rene at FreeBSD.org
Wed Sep 8 19:58:25 UTC 2021
The branch main has been updated by rene:
URL: https://cgit.FreeBSD.org/ports/commit/?id=332b174080094dc6b12db9f33be3b1ebe949353a
commit 332b174080094dc6b12db9f33be3b1ebe949353a
Author: Rene Ladan <rene at FreeBSD.org>
AuthorDate: 2021-09-08 19:57:45 +0000
Commit: Rene Ladan <rene at FreeBSD.org>
CommitDate: 2021-09-08 19:57:45 +0000
rmport: first check if we are in a git checkout, then check for changes.
---
Tools/scripts/rmport | 8 ++++----
1 file changed, 4 insertions(+), 4 deletions(-)
diff --git a/Tools/scripts/rmport b/Tools/scripts/rmport
index dc821b083bfa..b8757712bacf 100755
--- a/Tools/scripts/rmport
+++ b/Tools/scripts/rmport
@@ -352,10 +352,6 @@ usage()
# main
-if ! ${GIT} diff --exit-code remotes/origin/main ; then
- echo "you have local commits, exiting" >&2
- exit 65
-fi
if [ ! -r ${INDEX} ] ; then
echo "${INDEX} not readable, exiting" >&2
exit 66
@@ -369,6 +365,10 @@ if [ ${exitcode} -ne 0 ] ; then
else
cd "${git_dir}/.." || exit 1
fi
+if ! ${GIT} diff --exit-code remotes/origin/main ; then
+ echo "you have local commits, exiting" >&2
+ exit 65
+fi
if [ ${#} -eq 0 ] || [ "${1}" = "-h" ] || [ "${1}" = "--help" ] ; then
usage
More information about the dev-commits-ports-all
mailing list